A-A+

CATIA VBA(VBS) 二次開發實體切割命令AddNewSplit

2019年07月21日 08:42:27 CAD 暫無評論 閱讀 0 views 次

在CATIA的VBA/VBS二次開發中可以使用AddNewSplit命令進行實體切割,此命令屬于ShapeFactory類中的方法,函數定義如下:

Func AddNewSplit( Reference  iSplittingElement,  CatSplitSide  iSplitSide) As Split

其中:iSplittingElement為切割參考元素;iSplitSide為切割後保留哪一側的選項,有catPositiveSide和catNegativeSide兩個選項可以選擇。示例代碼如下:

Sub CATMain()

Dim Doc, Prt, SF, Slct, BodyO

Set Doc = CATIA.ActiveDocument

Set Prt = Doc.Part

Set SF = Prt.ShapeFactory

Set Slct = Doc.Selection

Dim Status, lType(1)

lType(0) = "Body"

lType(1) = "Body"

Status = Slct.SelectElement2(lType, "Select the body to be split", True)'選擇目标實體

If Status = "Redo" Or Status = "Undo" Or Status = "Cancel" Then

    Exit Sub

End If

Set BodyO = Slct.Item(1).Value'獲取用戶選擇的實體

Slct.Clear

lType(0) = "Plane"

lType(1) = "BiDim"

Status = Slct.SelectElement2(lType, "Select the split surface", False)'讓用戶選擇切割元素

If Status = "Redo" Or Status = "Undo" Or Status = "Cancel" Then

    Exit Sub

End If

Dim Ref

Set Ref = Slct.Item(1).Value'獲取用戶選擇的切割元素

Slct.Clear

Prt.InWorkObject = BodyO

Dim Split

Set Split = SF.AddNewSplit(Ref, catPositiveSide)'切原實體

Prt.Update

End Sub

切割效果如下所示。AddNewSplit方法隻能用來切割實體,不能用來切割曲面。

本站微信公衆賬号,歡迎關注,如有問題可在下方留言也可在公衆賬号提問。

微信公衆賬号

給我留言